Bug 170419 - Invoking Run took 29110 ms.
Invoking Run took 29110 ms.
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: Code
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Denis Anisimov
issues@javaee
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-16 03:43 UTC by hof
Modified: 2009-10-07 12:46 UTC (History)
7 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (75.74 KB, bin/nps)
2009-08-16 03:43 UTC, hof
Details
nps snapshot (37.73 KB, bin/nps)
2009-08-16 05:55 UTC, hof
Details
nps snapshot (25.39 KB, bin/nps)
2009-08-16 22:50 UTC, Exceptions Reporter
Details
nps snapshot (92.99 KB, bin/nps)
2009-08-16 22:55 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description hof 2009-08-16 03:43:30 UTC
Build: NetBeans IDE Dev (Build 200908022240)
VM: Java HotSpot(TM) Client VM, 14.1-b02, Java(TM) SE Runtime Environment, 1.6.0_15-b03
OS: Windows XP, 5.1, x86

User Comments:
limlom: Loaded old project files and started running project


Maximum slowness yet reported was 29110 ms, average is 9938
Comment 1 hof 2009-08-16 03:43:36 UTC
Created attachment 86276 [details]
nps snapshot
Comment 2 hof 2009-08-16 05:55:56 UTC
Created attachment 86277 [details]
nps snapshot
Comment 3 Exceptions Reporter 2009-08-16 05:57:46 UTC
This issue already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=154803
Comment 4 Exceptions Reporter 2009-08-16 22:50:09 UTC
Build: NetBeans IDE Dev (Build 200908022240)
VM: Java HotSpot(TM) Client VM, 11.2-b01, Java(TM) SE Runtime Environment, 1.6.0_12-b04
OS: Windows Vista, 6.0, x86

User Comments: 
starting a webapp
Maximum slowness yet reported was 32875 ms, average is 12753
Comment 5 Exceptions Reporter 2009-08-16 22:50:13 UTC
Created attachment 86293 [details]
nps snapshot
Comment 6 Exceptions Reporter 2009-08-16 22:50:19 UTC
This issue already has 6 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=154803
Comment 7 Exceptions Reporter 2009-08-16 22:55:10 UTC
Build: NetBeans IDE Dev (Build 200908022240)
VM: Java HotSpot(TM) Client VM, 11.2-b01, Java(TM) SE Runtime Environment, 1.6.0_12-b04
OS: Windows Vista, 6.0, x86

User Comments: 
starting a webapp
Maximum slowness yet reported was 95068 ms, average is 24512
Comment 8 Exceptions Reporter 2009-08-16 22:55:14 UTC
Created attachment 86294 [details]
nps snapshot
Comment 9 Exceptions Reporter 2009-08-16 22:55:20 UTC
This issue already has 7 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=154803
Comment 10 Exceptions Reporter 2009-08-19 21:30:21 UTC
This issue already has 9 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=154803
Comment 11 Petr Jiricka 2009-09-16 14:25:26 UTC
I believe Denis fixed this one.
Comment 12 Denis Anisimov 2009-09-16 16:28:35 UTC
Yes, it is already fixed.
It is all about isServletFile() method in SetExecutionUriAction.
Comment 13 aldobrucale 2009-09-22 14:30:24 UTC
It is still happening with build 200909211401
Comment 14 Denis Anisimov 2009-10-03 06:59:13 UTC
Please attach nps file .
Your reasons could be different from described here.

Actually it should be different because this issue is REALY fixed.
Source code is changed so there cannot be the same profile backtrace.
Comment 15 Denis Anisimov 2009-10-06 08:15:33 UTC
Some of snapshots are not valid for now.
So it is not so easy to identify the main reason of sleeping.

But it seems I have found what action leads to this slowness.

It appears when run is performed on Servlet file.
As result method getServletMappings of SetExecutionUriAction is called.
It asks web model which is not yet initialized . First access to 
web model  (similar to problem with SetExecutionUriAction) is very long operation.
As result this issue appears.
In the opposite of original SetExecutionUriAction problem we cannot postpone 
access to web model in this case.
So unfortunately this issue cannot be fixed silently from performance point of view.
It appears as result of model scanning wait ( RUN action is always enable. We cannot 
disable it for period of initial scanning ).

Only one way I see here : show dialog if scanning is not yet finished 
( similar to initial Java scanning on refactoring action ).
User will be able to cancel RUN action . It will unlock AWT thread.
Either he can wait when scanning will be finished and proceed with RUN action.
Comment 16 Denis Anisimov 2009-10-06 14:10:55 UTC
changeset:   147917:606c241c8763
user:        Denis Anisimov <ads@netbeans.org>
date:        Tue Oct 06 15:19:40 2009 +0400
summary:     Fix for IZ#170419 - Invoking Run took 29110 ms.

changeset:   147918:52cbed68eeac
user:        Denis Anisimov <ads@netbeans.org>
date:        Tue Oct 06 17:06:22 2009 +0400
summary:     Fix for IZ#170419 is also applied for Debug action.
Comment 17 Quality Engineering 2009-10-07 12:46:43 UTC
Integrated into 'main-golden', will be available in build *200910070250* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/606c241c8763
User: Denis Anisimov <ads@netbeans.org>
Log: Fix for IZ#170419 - Invoking Run took 29110 ms.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo